'''
libclamav.so.3 functions
 
(c) 2009 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
'''

from ctypes import *
from const import *
from libso5 import DBStat, clamav_so_3_to_5

class Limits(Structure):
  def __init__(self, maxreclevel=8, maxfiles=1024, maxmailrec=64,
               maxratio=250, archivememlim=1, maxfilesize=10485760):
      super(Limits, self).__init__(
          maxreclevel=maxreclevel,
          maxfiles=maxfiles,
          maxmailrec=maxmailrec,
          maxratio=maxratio,
          archivememlim=archivememlim,
          maxfilesize=maxfilesize
      )
  _fields_ = [
    ('maxreclevel', c_uint),
    ('maxfiles', c_uint),
    ('maxmailrec', c_uint),
    ('maxratio', c_uint),
    ('archivememlim', c_ushort),
    ('maxfilesize', c_ulong)
  ]

class clamav(clamav_so_3_to_5):
  limits_struct = Limits
