'''
libclamav.so.4 functions
 
(c) 2009 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
'''

from ctypes import *
from const import *
from libso5 import DBStat, clamav_so_3_to_5

class Limits(Structure):
  def __init__(self, maxscansize=0, maxfilesize=0,
               maxreclevel=0, maxfiles=0, archivememlim=0):
      super(Limits, self).__init__(
          maxscansize=maxscansize,
          maxfilesize=maxfilesize,
          maxreclevel=maxreclevel,
          maxfiles=maxfiles,
          archivememlim=archivememlim
      )
  _fields_ = [
    ('maxscansize', c_long),
    ('maxfilesize', c_long),
    ('maxreclevel', c_uint),
    ('maxfiles', c_uint),
    ('archivememlim', c_ushort)
  ]

class clamav(clamav_so_3_to_5):
  limits_struct = Limits
